Subject: bug#40703: [PATCH] Make autoarg.el obsolete

From: Michael Heerdegen <[email-masked]>
Date: Mon, 20 Apr 2020 01:57:52 +0200

Stefan Kangas <[email-masked]> writes:

> > Or does this package cause us some maintenance burden?
>
> Well, as it stands 'autoarg-kp-mode' is broken.  It enables
> 'autoarg-mode', which kind of defeats the point of having a separate
> mode to only enable this behaviour for the keypad.

Not for me.  Works here.  Are you sure?

FWIW, I think the mode is potentially useful.  It would be more useful
if there would be a local version, and if enabling autoarg-mode would
still allow me to enter digits with the keypad (i.e. the other way than
autoarg-kp-mode, because e.g. ...what? mhmm, I wanted to write an
example including integers but I can't enter them anymore, I can't turn
off autoarg mode.  It's just broken.  Will restart Emacs.

What I wanted to say was that large numbers are probably easier to type
on the keypad, and they are unlikely to be used as prefix arg.

Michael.